
From: David Howells <dhowells@redhat.com>

The attached patch gets rid of the perfctr_info syscall from the FRV arch now
that its implementation has gone and it has been removed from the i386 arch
and the i386 syscalls have been renumbered.

Signed-Off-By: David Howells <dhowells@redhat.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/frv/kernel/entry.S  |    6 +++---
 25-akpm/include/asm-frv/unistd.h |   13 ++++++-------
 2 files changed, 9 insertions(+), 10 deletions(-)

diff -puN arch/frv/kernel/entry.S~frv-perfctr_info-syscall arch/frv/kernel/entry.S
--- 25/arch/frv/kernel/entry.S~frv-perfctr_info-syscall	Thu Dec 16 14:43:12 2004
+++ 25-akpm/arch/frv/kernel/entry.S	Thu Dec 16 14:43:12 2004
@@ -1031,6 +1031,7 @@ __entry_preempt_need_resched:
 # perform work that needs to be done immediately before resumption
 #
 ###############################################################################
+	.globl		__entry_return_from_user_exception
 	.balign		L1_CACHE_BYTES
 __entry_return_from_user_exception:
 	LEDS		0x6501
@@ -1420,9 +1421,8 @@ sys_call_table:
 	.long sys_add_key
 	.long sys_request_key
 	.long sys_keyctl
-	.long sys_perfctr_info
-	.long sys_vperfctr_open		/* 290 */
-	.long sys_vperfctr_control
+	.long sys_vperfctr_open
+	.long sys_vperfctr_control	/* 290 */
 	.long sys_vperfctr_unlink
 	.long sys_vperfctr_iresume
 	.long sys_vperfctr_read
diff -puN include/asm-frv/unistd.h~frv-perfctr_info-syscall include/asm-frv/unistd.h
--- 25/include/asm-frv/unistd.h~frv-perfctr_info-syscall	Thu Dec 16 14:43:12 2004
+++ 25-akpm/include/asm-frv/unistd.h	Thu Dec 16 14:43:12 2004
@@ -295,14 +295,13 @@
 #define __NR_add_key		286
 #define __NR_request_key	287
 #define __NR_keyctl		288
-#define __NR_perfctr_info	289
-#define __NR_vperfctr_open	(__NR_perfctr_info+1)
-#define __NR_vperfctr_control	(__NR_perfctr_info+2)
-#define __NR_vperfctr_unlink	(__NR_perfctr_info+3)
-#define __NR_vperfctr_iresume	(__NR_perfctr_info+4)
-#define __NR_vperfctr_read	(__NR_perfctr_info+5)
+#define __NR_vperfctr_open	289
+#define __NR_vperfctr_control	(__NR_perfctr_info+1)
+#define __NR_vperfctr_unlink	(__NR_perfctr_info+2)
+#define __NR_vperfctr_iresume	(__NR_perfctr_info+3)
+#define __NR_vperfctr_read	(__NR_perfctr_info+4)
 
-#define NR_syscalls 295
+#define NR_syscalls 294
 
 /*
  * process the return value of a syscall, consigning it to one of two possible fates
_
